> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data for several keys

> Retrieves data for multiple keys.



## OpenAPI

````yaml /data.api.json get /map/maps
openapi: 3.0.1
info:
  title: Kameleoon Data API
  description: ''
  version: '1.0'
servers:
  - url: https://eu-data.kameleoon.io
  - url: https://na-data.kameleoon.io
  - url: https://eu-data.kameleoon.eu
  - url: https://na-data.kameleoon.eu
security: []
paths:
  /map/maps:
    get:
      tags:
        - Map
      summary: Get data for several keys
      description: Retrieves data for multiple keys.
      operationId: GET /map/maps
      parameters:
        - name: user-agent
          in: header
          required: true
          description: >-
            Not always required. Kameleoon rejects an incoming request if the
            source is a bot or spider, based on [IAB/ABC user-agent filtering
            rules](https://www.iab.com/guidelines/iab-abc-international-spiders-bots-list/).

            Kameleoon uses a single-pass method. You don't need to take specific
            action when sending requests from a web browser using a standard
            library (XHR). However, in other cases, set a custom value for the
            `User-Agent` request header to overwrite the default value the
            library sets.
          schema:
            type: string
            default: kameleoon-docs
        - name: siteCode
          in: query
          description: The Kameleoon project ID.
          required: true
          schema:
            type: string
        - name: keys
          in: query
          description: >-
            A JSON array of unique keys (such as visitor codes or internal user
            IDs). For example, <code>["key1","key2"]</code>. Limit the array to
            100 keys.
          required: true
          schema:
            type: string
            description: 'JSON array of `<key: string>`.'
        - name: prettyPrint
          in: query
          description: Set to <code>true</code> for a "pretty" printed response.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: >-
            Successful operation, maps are rendered, of type JSON object
            {&quot;&lt;key&gt;&quot;: &lt;map&gt;}, with &lt;map&gt; of type
            JSON object
        '400':
          description: Malformed URL query syntax.
        '401':
          description: >-
            Authentication failed. Either the HTTP header value is malformed, or
            the token is missing or invalid (malformed, expired, or invalid
            signature).
        '403':
          description: Access denied. Forbidden user-agent or restricted resource.
        '429':
          description: Kameleoon rate-limited the request.
        '500':
          description: An unexpected internal error occurred.

````